//--------------------------------------------------------------
// File     : main.c
// Datum    : 01.01.2014
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der SysCheck-Library (Sysclock an PC9)
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_syscheck.h"

int main(void)
{
  SystemInit(); // Quarz Einstellungen aktivieren

  // Sysclock an PC9 ausgeben
  // Vorteiler=1 -> 168 MHz
  UB_SysCheck_MCO2(MCO2_SYSCLOCK, MCO_DIV1);

  while(1)
  {

  }
}

